summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Marco Bonetti <sid77@slackware.it>2010-04-18 01:01:34 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:19 +0200
commit7eca71744e080d92e4d208408cc09e17830f6e49 (patch)
treed33b658ddd6cb4a97f889ac69a1b78cacc2ca23e /network
parent6dab37b86b73d33c6fac7350e75afec3d9e29143 (diff)
downloadslackbuilds-7eca71744e080d92e4d208408cc09e17830f6e49.tar.gz
slackbuilds-7eca71744e080d92e4d208408cc09e17830f6e49.tar.xz
network/allmydata-tahoe: Added (Tahoe-LAFS)
Diffstat (limited to 'network')
-rw-r--r--network/allmydata-tahoe/README14
-rw-r--r--network/allmydata-tahoe/allmydata-tahoe.SlackBuild78
-rw-r--r--network/allmydata-tahoe/allmydata-tahoe.info10
-rw-r--r--network/allmydata-tahoe/introducer.furl1
-rw-r--r--network/allmydata-tahoe/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/network/allmydata-tahoe/README b/network/allmydata-tahoe/README
new file mode 100644
index 0000000000..31b2e73c7a
--- /dev/null
+++ b/network/allmydata-tahoe/README
@@ -0,0 +1,14 @@
+Tahoe-LAFS is a secure, decentralized, data store. All of the source code is
+available under a choice of two Free Software, Open Source licences. This
+filesystem is encrypted and spread over multiple peers in such a way that it
+remains available even when some of the peers are unavailable, malfunctioning,
+or malicious.
+
+Build in the listed order, all are available from SlackBuilds.org.
+pysetuptools, darcsver, argparse, simplejson, pyOpenSSL, zope.interface,
+python-twisted, Nevow, foolscap, pyutil, zbase32, zfec, cryptopp,
+pycryptopp.
+
+This package will also ship the introducer.furl file to be able to join the
+public test grid. For more informations see running.html and using.html in the
+doc folder.
diff --git a/network/allmydata-tahoe/allmydata-tahoe.SlackBuild b/network/allmydata-tahoe/allmydata-tahoe.SlackBuild
new file mode 100644
index 0000000000..2af7328fe0
--- /dev/null
+++ b/network/allmydata-tahoe/allmydata-tahoe.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for allmydata-tahoe.
+
+# Copyright 2009 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=allmydata-tahoe
+VERSION=${VERSION:-1.6.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING.GPL COPYING.TGPPL.html README docs"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py build || exit 1
+python setup.py install --root=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+# ship the introducer furl to join the public test grid
+cat $CWD/introducer.furl > $PKG/usr/doc/$PRGNAM-$VERSION/introducer.furl
+cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/allmydata-tahoe/allmydata-tahoe.info b/network/allmydata-tahoe/allmydata-tahoe.info
new file mode 100644
index 0000000000..0c8570be94
--- /dev/null
+++ b/network/allmydata-tahoe/allmydata-tahoe.info
@@ -0,0 +1,10 @@
+PRGNAM="allmydata-tahoe"
+VERSION="1.6.1"
+HOMEPAGE="http://allmydata.org/"
+DOWNLOAD="http://tahoe-lafs.org/source/tahoe-lafs/releases/allmydata-tahoe-1.6.1.tar.bz2"
+MD5SUM="a7009767a9ef77ee42941a87bd0ac2cc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/network/allmydata-tahoe/introducer.furl b/network/allmydata-tahoe/introducer.furl
new file mode 100644
index 0000000000..89fd66e838
--- /dev/null
+++ b/network/allmydata-tahoe/introducer.furl
@@ -0,0 +1 @@
+pb://todjw7qkb4dgq4fkeo7cqydcu5vneioh@tahoecs2.allmydata.com:52106/introducer
diff --git a/network/allmydata-tahoe/slack-desc b/network/allmydata-tahoe/slack-desc
new file mode 100644
index 0000000000..7d69d06283
--- /dev/null
+++ b/network/allmydata-tahoe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+allmydata-tahoe: allmydata-tahoe (Tahoe-LAFS)
+allmydata-tahoe:
+allmydata-tahoe: Tahoe-LAFS is a secure, decentralized, data store. This filesystem
+allmydata-tahoe: is encrypted and spread over multiple peers in such a way that it
+allmydata-tahoe: remains available even when some of the peers are unavailable,
+allmydata-tahoe: malfunctioning, or malicious.
+allmydata-tahoe:
+allmydata-tahoe: Homepage: http://allmydata.org/
+allmydata-tahoe:
+allmydata-tahoe:
+allmydata-tahoe: